package com.crm.rely.backend.core.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawCwgAliDto extends FinanceWithdrawCwgDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;

    @JSONField(ordinal = 1)
    private BigDecimal amount;
    @JSONField(ordinal = 10)
    private String name;
    @JSONField(ordinal = 20)
    private String walletAddress;

    public FinanceWithdrawCwgAliDto() {

        params = new LinkedHashMap<>();
        paramsEn = new LinkedHashMap<>();
        params.put("amount", "金额");
        params.put("name", "名字");
        params.put("walletAddress", "支付宝账号");


        paramsEn.put("amount", "amount");
        paramsEn.put("name", "name");
        paramsEn.put("walletAddress", "ali account");
    }
}
